package nl.jteam.demo.portlet;

import com.liferay.util.bridges.mvc.MVCPortlet;
import nl.jteam.demo.model.CalEventInvitation;
import nl.jteam.demo.service.CalEventInvitationLocalServiceUtil;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import java.util.Random;

public class MyPortlet extends MVCPortlet {


    public void demonstrateProblem(ActionRequest actionRequest, ActionResponse actionResponse) throws Exception {

        Random generator = new Random();
        int randomCalEventCopyId = generator.nextInt(Integer.MAX_VALUE);

        // check if something exists

        CalEventInvitation existingInvitation = CalEventInvitationLocalServiceUtil.fetchByCalEventCopyId(randomCalEventCopyId);

        if (existingInvitation != null) {
            return;
        }


        // if not create it

        CalEventInvitation invitation = CalEventInvitationLocalServiceUtil.createCalEventInvitation();
        invitation.setCalEventCopyId(randomCalEventCopyId);
        CalEventInvitationLocalServiceUtil.updateCalEventInvitation(invitation);

        // then query for it again

        CalEventInvitation invitationRetrievedByFinder = CalEventInvitationLocalServiceUtil.fetchByCalEventCopyId(randomCalEventCopyId);

        if (invitationRetrievedByFinder == null) {
            System.out.println("Should have found something but did not.");
        } else {
            System.out.println("I got something like i should.");
        }


    }

}
